Summary:	Sound converter application for the GNOME environment
Name:		soundconverter
Version:	0.9.9
Release:	%mkrel 1
License:	GPLv3
Group:		Sound
URL:		http://soundconverter.berlios.de/
Source:		http://download.berlios.de/soundconverter/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
#BuildRequires:	ImageMagick
BuildRequires:	pygtk2.0-devel
BuildRequires:	gnome-python
BuildRequires:	desktop-file-utils
#needed to build translations, for now
BuildRequires:	perl(XML::Parser)
Requires:	gstreamer0.10-gnomevfs
Requires:	gnome-python-gnomevfs
Requires:	gstreamer0.10-python
Requires:	pygtk2.0-libglade
Requires:	gnome-python-gconf 
Requires:	gnome-python
#configure	fails if noarch
#BuildArch:	noarch
#Suggests: gstreamer0.10-lame

%description
SoundConverter is a simple sound converter application for the GNOME
environment. It reads and writes WAV, FLAC, MP3 and Ogg Vorbis. The user
interface is raw, but should be simple enough to get the job done. 

NOTE: To create MP3 files, you will have to install gstreamer0.10-lame
yourself.

%prep
%setup -q
perl -pi -e "s|pixmapsdir = \\\$\(datadir\)/pixmaps|pixmapsdir = \\\$\(datadir\)/icons|" data/Makefile.in
sed -i -e 's|Name=No name||' data/soundconverter.desktop*

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

perl -pi -e "s/guillaume.bedot wanadoo.fr/littletux zarb.org/" %{buildroot}%{_bindir}/soundconverter

desktop-file-install \
  --add-category="Audio" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*


%changelog
* Fri Mar 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.9-1mdv2008.1
+ Revision: 181128
- new version

* Thu Jan 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.8-1mdv2008.1
+ Revision: 147674
- spec file clean
- fix mixture of tabs and spaces
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 02 2007 Funda Wang <fundawang@mandriva.org> 0.9.7-1mdv2008.0
+ Revision: 58185
- BR gnome-python
- drop old menu
- New version 0.9.7
- patches are not needed

* Wed Apr 18 2007 Guillaume Bedot <littletux@mandriva.org> 0.9.4-1mdv2008.0
+ Revision: 14700
- fix buildrequires
- New release 0.9.4


* Fri Aug 18 2006 Gtz Waschk <waschk@mandriva.org> 0.9.0-0.alpha1.1mdv2007.0
- replace menu by official one
- fix build
- replace icon
- gstreamer 0.10
- new version

* Sun Aug 13 2006 Guillaume Bedot <littletux@mandriva.org> 0.8.7-1mdv2007.0
- 0.8.7

* Mon Jul 03 2006 Guillaume Bedot <littletux@mandriva.org> 0.8.6-2mdv2007.0
- fix translator email and translation install
- xdg menu

* Thu Jun 29 2006 Guillaume Bedot <littletux@mandriva.org> 0.8.6-1mdv2007.0
- New release 0.8.6

* Tue Jan 24 2006 Austin Acton <austin@mandriva.org> 0.8.3-1mdk
- New release 0.8.3

* Sat Nov 26 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.8.1-2mdk
- fix requires (#16215)

* Wed Nov 23 2005 Austin Acton <austin@mandriva.org> 0.8.1-1mdk
- New release 0.8.1

* Tue Oct 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.0-2mdk
- Fix BuildRequires
- %%mkrel

* Mon Oct 10 2005 Austin Acton <austin@mandriva.org> 0.8.0-1mdk
- New release 0.8.0

* Fri Jun 17 2005 Lenny Cartier <lenny@mandriva.com> 0.7.2-1mdk
- 0.7.2

* Sun Apr 03 2005 Austin Acton <austin@mandrake.org> 0.7.1-1mdk
- initial package

